# Perl Guestbook v1.1 
# 2008-2011 (C) Alexander Yanitsky 
# web site: janicky.com                          
# e-mail: janickiy@mail.ru
# ICQ: 305-972

package ConnectDB;

use strict;

use base 'Exporter';
our @EXPORT=qw($dbh);

# Settings of the database connection
my $dbuser      = 'root';      # login
my $dbpasswd    = '';          # password
my $dbname      = 'guestbook'; # name of the database
my $dbhost      = 'localhost'; # address of the database server
my $dbport      = '3306';      # DB port
my $charset     = 'utf-8';     # charset of DB
my $set_charset = 'yes';       # If it's empty, the charset of the database will set by default
my $dbtype      = 'mysql';     # database type

# Start to connect to DB
our $dbh = DBI->connect("DBI:$dbtype:$dbname:$dbhost:$dbport",$dbuser,$dbpasswd) or die("error!");

# Set charset
if($set_charset eq 'yes')
{
   my $query = $dbh->do("SET CHARACTER SET $charset");
}

1;
