#!/usr/bin/perl

# Perl Guestbook v1.1 
# 2008-2011 (C) Alexander Yanitsky 
# web site: janicky.com                          
# e-mail: janickiy@mail.ru
# ICQ: 305-972 

use DBI;
use URI::Escape;
use Digest::MD5  qw(md5 md5_hex md5_base64);
use CGI qw(:standard);
use CGI::Carp 'fatalsToBrowser';

use lib "../";
use Constants;
use ConnectDB;
use GetSetting;

require '../lib/_function.pl' or die('Cannot open the file "_function.pl"');
require 'lib/_authenticate.pl' or die('Cannot open the file "_authenticate.pl"');

$ip      = trim(param("ip"));
$comment = trim(param("comment"));

if($ip eq '') { die("Enter the ip address!"); }
if($comment eq '') { die("Enter a comment!"); }

$ip      = invert_comas($ip);
$comment = invert_comas($comment);

$query = $dbh->prepare("INSERT INTO ".Constants::DB_IP." VALUES (NULL,'$ip','$comment')");
$query->execute() or die("Error executing SQL query!");
  
$query->finish();

returnback($ENV{ HTTP_REFERER });

$dbh->disconnect();
