#!/usr/bin/perl

# Perl Guestbook v1.1 
# 2008-2011 (C) Alexander Yanitsky 
# web site: janicky.com                          
# e-mail: janickiy@mail.ru
# ICQ: 305-972 

use DBI;
use URI::Escape;
use Digest::MD5  qw(md5 md5_hex md5_base64);
use CGI qw(:standard);
use CGI::Carp 'fatalsToBrowser';
  
use lib "../";
use Constants;
use ConnectDB;
use GetSetting;

require '../lib/_function.pl' or die('Cannot open the file "_function.pl"');
  
require 'lib/_authenticate.pl' or die('Cannot open the file "_authenticate.pl"');

my %GET;
my @pairs = split(/&/, $ENV{ "QUERY_STRING" });

foreach (@pairs)
{
   my ($name, $value) = split(/=/, $_);
   $GET{$name} = $value;
   $value = uri_unescape($value);
}

if($GET{'id_msg'} ne '')
{ 
   $id_msg = int($GET{'id_msg'});

   $query = $dbh->prepare("UPDATE ".Constants::DB_MSG." SET hide = 'show' WHERE id_msg = $id_msg");
   $query->execute() or die("Error executing SQL query!");
   
   $query->finish();

   returnback ($ENV{ HTTP_REFERER });
}
else
{
   returnback ($ENV{ HTTP_REFERER });
}

$dbh->disconnect();
