#!/usr/bin/perl

# Perl Guestbook v1.1 
# 2008-2011 (C) Alexander Yanitsky 
# web site: janicky.com                          
# e-mail: janickiy@mail.ru
# ICQ: 305-972 

use DBI;
use URI::Escape;
use Digest::MD5  qw(md5 md5_hex md5_base64);
use CGI qw(:standard);
use CGI::Carp 'fatalsToBrowser';

use lib "../";
use Constants;
use ConnectDB;
use GetSetting;

$title = "Admin area Perl Guestbook - Changing the password";

require '../lib/_function.pl' or die('Cannot open the file "_function.pl"');
require 'lib/_authenticate.pl' or die('Cannot open the file "_authenticate.pl"');

require 'lib/_admintop.pl' or die('Cannot open the file "_admintop.pl"');

my $error = '';
my $update = param("update");

if($update ne '')
{
   my $password       = trim(param("password"));
   my $password_again = trim(param("password_again"));
   my $old_password   = trim(param("old_password"));
   my $login_new      = trim(param("login_new"));

   if($old_password eq '')
   {
      $update = "";
      $error  = $error."<LI>Enter the current password!<br>"; 
   }

   if($password eq '')
   {
      $update = "";
      $error  = $error."<LI>Enter new password!<br>";
   } 

   if($password_again eq '')
   {
      $update = "";
      $error  = $error."<LI>Re-enter new password!<br>";
   }

   if($password ne '' and $password_again ne '')
   {
      if($password != $password_again)
      {
         $update = "";
         $error  = $error."<LI>Passwords do not match!<br>";
      }
   }

   if($old_password ne '')
   {
      $old_password = md5_hex($old_password);
  
      if($passw != $old_password)
      {
         $update = "";
         $error  = $error."<LI>Current password is incorrect!<br>";
      }
   }

   if($error eq '')
   {
      $login_new = invert_comas($login_new);

      $password = md5_hex($password);
           
      my $query = $dbh->prepare("UPDATE ".Constants::DB_AUT." SET passw='$password', login='$login_new'");
      $query->execute() or die("Error executing SQL query!");
      
      $query->finish();

      returnback("index.pl");
		
      $dbh->disconnect();
		
      exit();
   }
}

if($update eq '')
{

print <<HTML;
<h1><font color="#000080">Admin area</font></h1>
</b><br>
<h3><font color="#000080">Changing the password</font></h3>
<p>&lt;&lt; <a href=index.pl>Back</a><br><br>New password</p>
<table class="cattab" cellSpacing="1" cellPadding="2" border="0" width=40%>
  <tr class=trkat>
    <td><table border="0" cellpadding="5">
        <form method="post">
          <tr>
            <td><p>Login:</td>
            <td><input type="text" name="login_new" maxlength="40" size="25">
              <br>
              <br></td>
          </tr>
          <tr>
            <td><p>Current password:</td>
            <td><input type="password" name="old_password" maxlength="40" size="25"></td>
          </tr>
          <tr>
            <td><p>New password:</td>
            <td><input type="password" name="password" maxlength="40" size="25"></td>
          </tr>
          <tr>
            <td><p>New password again:</td>
            <td><input type="password" name="password_again" maxlength="40" size="25"></td>
          </tr>
          <tr>
            <td></td>
            <td><input type="submit" class="button" value="change"></td>
          </tr>
          <input type=hidden name="update" value=post>
        </form>
      </table></td>
  </tr>
</table>
<br>
<br>
HTML

   if($error ne '') 
   {
      print "<p>The following mistakes are revealed: </p>";
      print "<UL><font color=#CC0000>";
      print $error;
      print "</font></UL><br><br>";
   }
}

require 'lib/_adminbottom.pl' or die('Cannot open the file "_adminbottom.pl"');

$dbh->disconnect();
