#!/usr/bin/perl

# Perl Guestbook v1.1 
# 2008-2011 (C) Alexander Yanitsky 
# web site: janicky.com                          
# e-mail: janickiy@mail.ru
# ICQ: 305-972 

use DBI;
use URI::Escape;
use Digest::MD5  qw(md5 md5_hex md5_base64);
use CGI qw(:standard);
use CGI::Carp 'fatalsToBrowser';

use lib "../";
use Constants;
use ConnectDB;
use GetSetting;

require '../lib/_function.pl' or die('Cannot open the file "_function.pl"');
require 'lib/_authenticate.pl' or die('Cannot open the file "_authenticate.pl"');

$title = "Admin area Perl Guestbook - message editing";

my $action = "";
$action    = param("action");

if($action eq '') 
{
   require 'lib/_admintop.pl' or die('Cannot open the file "_admintop.pl"');

   my %GET;
   my @pairs = split(/&/, $ENV{ "QUERY_STRING" });

   foreach (@pairs)
   {
      my ($name, $value) = split(/=/, $_);
      $GET{$name} = $value;
      $value = uri_unescape($value);
   }

   my $id_msg = int($GET{'id_msg'});
   my $page   = int($GET{'page'});

   my $query = $dbh->prepare("SELECT * FROM ".Constants::DB_MSG." WHERE id_msg = $id_msg");
   $query->execute() or die("Error executing SQL query!");

   while($row = $query->fetchrow_hashref())
   {
      my $msg    = $row->{msg};
      my $answer = $row->{answer};

print <<HTML; 
<h3><font color="#000080"></font></h3>
<p>&lt;&lt; <a href="index.pl">Back</a></p>
<form action="edit.pl" method="post">
<table>
  <tr>
    <td><textarea cols="42" rows="5" name="msg">$msg</textarea>
      <br>
      <textarea  cols="42" rows="5" name="answer">$answer</textarea>
      <br>
      <br>
      <input type=submit class="button" value="Edit">
      <input type=hidden name="id_msg" value="$id_msg">
      <input type=hidden name="page" value="$page">
      <input type=hidden name="action" value="post"></td>
  </tr>
</table>
HTML

   }

   $query->finish();

   require 'lib/_adminbottom.pl' or die('Cannot open the file "_adminbottom.pl"');
}
else
{
   my $id_msg = int(param("id_msg"));
   my $answer = trim(param("answer"));
   my $msg    = trim(param("msg"));
   my $page   = param("page");

   $answer = invert_comas($answer);
   $msg    = invert_comas($msg);

   my $query = $dbh->prepare("UPDATE ".Constants::DB_MSG." SET msg = '$msg', answer = '$answer' WHERE id_msg = $id_msg");
   $query->execute() or die("Error executing SQL query!");
     
   $query->finish();
 
   returnback("index.pl?page=$page");
}

$dbh->disconnect();
