#!/usr/bin/perl

# Perl Guestbook v1.1 
# 2008-2011 (C) Alexander Yanitsky 
# web site: janicky.com                          
# e-mail: janickiy@mail.ru
# ICQ: 305-972 

use DBI;
use URI::Escape;
use Digest::MD5  qw(md5 md5_hex md5_base64);
use CGI qw(:standard);
use CGI::Carp 'fatalsToBrowser';

use lib "../";
use Constants;
use ConnectDB;
use GetSetting;

$title = "Admin area Perl Guestbook - Settings";

require '../lib/_function.pl' or die('Cannot open the file "_function.pl"');
require 'lib/_authenticate.pl' or die('Cannot open the file "_authenticate.pl"');

my $action = "";
$action    = param("action");

if($action eq '') 
{
   require 'lib/_admintop.pl' or die('Cannot open the file "_admintop.pl"');

print <<HTML1;
<b>
<h1><font color="#000080">Admin area</font></h1>
</b><br>
<h3><font color="#000080">Settings</font></h3>
<p>&lt;&lt; <a href="index.pl">Back</a></p>
<form method="POST" action="settings.pl">
<table class="cattab" cellSpacing="1" cellPadding="2" border="0" width=70%>
<tr class=trcat>
  <td><table border="0" cellpadding="5">
    <tr>
      <td width="235">Admin E-mail:</td>
      <td><input type="text" name="email" value='$row_setting->{email}' size="25"></td>
    </tr>
    <tr>
      <td width="235">The number of characters in the message:</td>
      <td><input type="text" name="msg_len" size="9" value='$row_setting->{msg_len}'></td>
    </tr>
    <tr>
      <td width="235">Number of messages on one page:</td>
      <td><input type="text" name="number_post" size="9" value='$row_setting->{number_post}'></td>
    </tr>
    <tr>
      <td width="235">Add new messages on a moderation:</td>
      <td> 
HTML1

   if($row_setting->{moder} eq "yes") { print "<input type=\"checkbox\" name=\"moder\" checked>"; }
   else { print "<input type=\"checkbox\" name=\"moder\">"; }

print <<HTML2;
   </td>
</tr>

<tr>
  <td width="235">Send the notice while adding a new message:</td>
  <td>
HTML2

   if($row_setting->{send} eq "yes") { print "<input type=\"checkbox\" name=\"send\" checked>"; }
   else { print "<input type=\"checkbox\" name=\"send\">"; }

print <<HTML3;
</td>
</tr>

<tr>
  <td width="235">Ask a security code:</td>
  <td>
HTML3

  if($row_setting->{security} eq "yes") { print "<input type=\"checkbox\" name=\"security\" checked>"; }
  else { print "<input type=\"checkbox\" name=\"security\">"; }

print <<HTML5;
</td>
</tr>

<tr>
  <td width="235">Display smiles:</td>
  <td>
HTML5

  if($row_setting->{smile} eq "yes") { print "<input type=\"checkbox\" name=\"smile\" checked>"; }
  else { print "<input type=\"checkbox\" name=\"smile\">"; }

print <<HTML6;
<input type=hidden name="action" value="post">
</td>
</tr>
</table>
<p>
  <input type="submit" class="button" value="Change">
  <br>
  <br>
</p>
</td>
</tr>
</table>
</form>
</td>
</tr>
</table>
HTML6

   require 'lib/_adminbottom.pl' or die('Cannot open the file "_adminbottom.pl"');
}
else
{
   my $email       = param("email");
   my $msg_len     = int(param("msg_len"));
   my $number_post = int(param("number_post"));
   my $smile       = param("smile");
   my $send        = param("send");
   my $antimat     = param("antimat");
   my $security    = param("security");
   my $moder       = param("moder");

   $email       = trim($email);
   $msg_len     = trim($msg_len);
   $number_post = trim($number_post);

   $email       = invert_comas($email);
   $msg_len     = invert_comas($msg_len);
   $number_post = invert_comas($number_post); 

   if($smile eq "on") { $smile = 'yes'; }
   else { $smile = 'no'; }

   if($send eq "on") { $send = 'yes'; }
   else { $send = 'no'; }

   if($security eq "on") { $security = 'yes'; }
   else { $security = 'no'; }

   if($moder eq "on") { $moder = 'yes'; }
   else { $moder = 'no'; }

   $query = $dbh->prepare("UPDATE ".Constants::DB_SETTINGS." SET email = '$email', 
                                                                 moder = '$moder', 
                                                                 number_post = '$number_post', 
                                                                 security = '$security', 
                                                                 smile = '$smile', 
                                                                 send = '$send', 
                                                                 msg_len = '$msg_len'");

   $query->execute() or die("Error executing SQL query!");
   
   $query->finish();

   returnback ("settings.pl");
}

$dbh->disconnect();
